Skip to content
Ona Docs

Errors

ErrorsService provides endpoints for clients to report errors that will be sent to error reporting systems.

ReportErrors
POST/gitpod.v1.ErrorsService/ReportErrors
ModelsExpand Collapse
One of the following:
ErrorEvent object { breadcrumbs, environment, eventId, 15 more }

ErrorEvent contains comprehensive error information (Sentry-compatible)

One of the following:
environment: optional string

Environment (e.g., “production”, “staging”, “development”)

maxLength100
eventId: optional string

Unique event identifier (required by Sentry)

maxLength32
minLength32
exceptions: optional array of ExceptionInfo { mechanism, module, stacktrace, 3 more }

Exception information (primary error data)

mechanism: optional ExceptionMechanism { data, description, handled, 2 more }

Exception mechanism

data: optional map[string]

Additional mechanism-specific data

description: optional string

Human-readable description of the mechanism

maxLength1000
handled: optional boolean

Whether the exception was handled by user code

synthetic: optional boolean

Whether this is a synthetic exception (created by SDK)

type: optional string

Type of mechanism (e.g., “generic”, “promise”, “onerror”)

maxLength100
minLength1
module: optional string

Module or package where the exception type is defined

maxLength200
stacktrace: optional array of StackFrame { colno, contextLine, filename, 7 more }

Stack trace frames

colno: optional number

Column number in the line

formatint32
contextLine: optional string
maxLength1000
filename: optional string

File name or path

maxLength1000
function: optional string

Function name

maxLength1000
inApp: optional boolean

Whether this frame is in application code (vs library/framework code)

lineno: optional number

Line number in the file

formatint32
module: optional string

Module or package name

maxLength1000
postContext: optional array of string
preContext: optional array of string

Source code context around the error line

vars: optional map[string]

Additional frame-specific variables/locals

threadId: optional string

Thread ID if applicable

maxLength100
type: optional string

Exception type/class name

maxLength200
minLength1
value: optional string

Exception message/value

maxLength10000
extra: optional map[string]

Additional arbitrary metadata

fingerprint: optional array of string

Custom fingerprint for grouping

identityId: optional string

Identity ID of the user (UUID)

level: optional ErrorLevel

Error severity level

One of the following:
"ERROR_LEVEL_UNSPECIFIED"
"ERROR_LEVEL_DEBUG"
"ERROR_LEVEL_INFO"
"ERROR_LEVEL_WARNING"
"ERROR_LEVEL_ERROR"
"ERROR_LEVEL_FATAL"
logger: optional string

Logger name

maxLength200
modules: optional map[string]

Modules/dependencies information

platform: optional string

Platform identifier (required by Sentry)

maxLength100
minLength1
release: optional string

Release version

maxLength200
request: optional RequestInfo { data, headers, method, 2 more }

Request information

data: optional string

Request body (truncated if large)

maxLength10000
headers: optional map[string]

Request headers

method: optional string

HTTP method

maxLength10
queryString: optional map[string]

Query parameters

url: optional string

Request URL

maxLength2000
sdk: optional map[string]

SDK information

serverName: optional string

Server/host name

maxLength200
tags: optional map[string]

Tags for filtering and grouping

timestamp: optional string

When the event occurred (required by Sentry)

formatdate-time
transaction: optional string

Transaction name (e.g., route name, function name)

maxLength200
ErrorLevel = "ERROR_LEVEL_UNSPECIFIED" or "ERROR_LEVEL_DEBUG" or "ERROR_LEVEL_INFO" or 3 more

Error severity levels (aligned with Sentry levels)

One of the following:
"ERROR_LEVEL_UNSPECIFIED"
"ERROR_LEVEL_DEBUG"
"ERROR_LEVEL_INFO"
"ERROR_LEVEL_WARNING"
"ERROR_LEVEL_ERROR"
"ERROR_LEVEL_FATAL"
ExceptionInfo object { mechanism, module, stacktrace, 3 more }

Exception information (Sentry-compatible)

mechanism: optional ExceptionMechanism { data, description, handled, 2 more }

Exception mechanism

data: optional map[string]

Additional mechanism-specific data

description: optional string

Human-readable description of the mechanism

maxLength1000
handled: optional boolean

Whether the exception was handled by user code

synthetic: optional boolean

Whether this is a synthetic exception (created by SDK)

type: optional string

Type of mechanism (e.g., “generic”, “promise”, “onerror”)

maxLength100
minLength1
module: optional string

Module or package where the exception type is defined

maxLength200
stacktrace: optional array of StackFrame { colno, contextLine, filename, 7 more }

Stack trace frames

colno: optional number

Column number in the line

formatint32
contextLine: optional string
maxLength1000
filename: optional string

File name or path

maxLength1000
function: optional string

Function name

maxLength1000
inApp: optional boolean

Whether this frame is in application code (vs library/framework code)

lineno: optional number

Line number in the file

formatint32
module: optional string

Module or package name

maxLength1000
postContext: optional array of string
preContext: optional array of string

Source code context around the error line

vars: optional map[string]

Additional frame-specific variables/locals

threadId: optional string

Thread ID if applicable

maxLength100
type: optional string

Exception type/class name

maxLength200
minLength1
value: optional string

Exception message/value

maxLength10000
ExceptionMechanism object { data, description, handled, 2 more }

Exception mechanism information (Sentry-compatible)

data: optional map[string]

Additional mechanism-specific data

description: optional string

Human-readable description of the mechanism

maxLength1000
handled: optional boolean

Whether the exception was handled by user code

synthetic: optional boolean

Whether this is a synthetic exception (created by SDK)

type: optional string

Type of mechanism (e.g., “generic”, “promise”, “onerror”)

maxLength100
minLength1
RequestInfo object { data, headers, method, 2 more }

Request information (Sentry-compatible)

data: optional string

Request body (truncated if large)

maxLength10000
headers: optional map[string]

Request headers

method: optional string

HTTP method

maxLength10
queryString: optional map[string]

Query parameters

url: optional string

Request URL

maxLength2000
StackFrame object { colno, contextLine, filename, 7 more }

Stack trace frame information (Sentry-compatible)

colno: optional number

Column number in the line

formatint32
contextLine: optional string
maxLength1000
filename: optional string

File name or path

maxLength1000
function: optional string

Function name

maxLength1000
inApp: optional boolean

Whether this frame is in application code (vs library/framework code)

lineno: optional number

Line number in the file

formatint32
module: optional string

Module or package name

maxLength1000
postContext: optional array of string
preContext: optional array of string

Source code context around the error line

vars: optional map[string]

Additional frame-specific variables/locals

ErrorReportErrorsResponse = unknown

ReportErrorsResponse confirms that the errors were successfully received Success is indicated by HTTP 200 status code, failures by other status codes Empty response - success indicated by HTTP status code